package com.foreverwin.mesnac.quartz.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 系统任务表
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-24
 */

@TableName("Z_SYSTEM_JOB")
public class SystemJob extends Model<SystemJob> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 任务名称
     */
   @TableField("NAME")
   private String name;
    /**
     * 任务描述
     */
   @TableField("DESCRIPTION")
   private String description;
    /**
     * 任务类
     */
   @TableField("JOB_CLASS")
   private String jobClass;
    /**
     * 任务组
     */
   @TableField("JOB_GROUP")
   private String jobGroup;
    /**
     * 任务参数
     */
   @TableField("JOB_PARAM")
   private String jobParam;
    /**
     * 备注
     */
   @TableField("REMARK")
   private String remark;
    /**
     * 创建日期
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 更新日期
     */
   @TableField("UPDATED_DATE_TIME")
   private LocalDateTime updatedDateTime;
    /**
     * 创建人员
     */
   @TableField("CREATE_USER_BO")
   private String createUserBo;
    /**
     * 更新人员
     */
   @TableField("UPDATE_USER_BO")
   private String updateUserBo;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getName() {
      return name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public String getDescription() {
      return description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getJobClass() {
      return jobClass;
   }

   public void setJobClass(String jobClass) {
      this.jobClass = jobClass;
   }

   public String getJobGroup() {
      return jobGroup;
   }

   public void setJobGroup(String jobGroup) {
      this.jobGroup = jobGroup;
   }

   public String getJobParam() {
      return jobParam;
   }

   public void setJobParam(String jobParam) {
      this.jobParam = jobParam;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public LocalDateTime getUpdatedDateTime() {
      return updatedDateTime;
   }

   public void setUpdatedDateTime(LocalDateTime updatedDateTime) {
      this.updatedDateTime = updatedDateTime;
   }

   public String getCreateUserBo() {
      return createUserBo;
   }

   public void setCreateUserBo(String createUserBo) {
      this.createUserBo = createUserBo;
   }

   public String getUpdateUserBo() {
      return updateUserBo;
   }

   public void setUpdateUserBo(String updateUserBo) {
      this.updateUserBo = updateUserBo;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String NAME = "NAME";

public static final String DESCRIPTION = "DESCRIPTION";

public static final String JOB_CLASS = "JOB_CLASS";

public static final String JOB_GROUP = "JOB_GROUP";

public static final String JOB_PARAM = "JOB_PARAM";

public static final String REMARK = "REMARK";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String UPDATED_DATE_TIME = "UPDATED_DATE_TIME";

public static final String CREATE_USER_BO = "CREATE_USER_BO";

public static final String UPDATE_USER_BO = "UPDATE_USER_BO";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SystemJob{" +
         "handle = " + handle +
         ", site = " + site +
         ", name = " + name +
         ", description = " + description +
         ", jobClass = " + jobClass +
         ", jobGroup = " + jobGroup +
         ", jobParam = " + jobParam +
         ", remark = " + remark +
         ", createdDateTime = " + createdDateTime +
         ", updatedDateTime = " + updatedDateTime +
         ", createUserBo = " + createUserBo +
         ", updateUserBo = " + updateUserBo +
         "}";
   }
}